Goodbye catalyst, how to remove it and switch to the free drivers

ati
catalyst

(Luca Giambonini) #1

After a open discussion we decided that with the next kernel update we will drop catalyst driver.
The main reasons are:

  1. catalyst is not maintained anymore by AMD
  2. no more catalyst patches are available to build against latest kernel
  3. the opensource driver in some cases perform better then catalyst

How to chose the correct drivers? below a very concise guideline to identify the best for your video card:

  • xf86-video-ati: pre-GCN and GCN 1st gen (1.1)
  • xf86-video-amdgpu: GCN 2nd, 3rd, 4th and 5th gen (including Vega)

Based on the above explanation you have to choose one of this two driver and install it, then catalyst can be completely removed as following:

$ sudo pacman -S xf86-video-ati or pacman -S xf86-video-amdgpu
$ sudo pacman -S libtxc_dxtn
$ sudo pacman -R catalyst-utils catalyst catalyst-libgl

Upgrades for xorg, kernel and graphics drivers include important changes and might require manual intervention
Liberada Chakra 2017.10 “Goedel”
Stuck on "Started Network Manager Script..." at boot after update
Big upgrade of xorg, kernel, and graphics drivers that include important changes, is now available in [testing]
Actualizaciones para xorg, kernel y controladores gráficos incluyen cambios importantes y pueden requerir intervención manual
包含了重要且可能需要手動調整變更的 xorg、核心與顯示卡驅動程式的更新
Upgrades for xorg, kernel and graphics drivers include important changes and might require manual intervention
Chakra 2017.10 "Goedel" released
Rilasciata Chakra 2017.10 "Goedel"
Catalyst-utils: requires xorg-server<1.18.0
Chakra 2017.10 “Goedel” 釋出
(richard.llom) #2

Actually it is:

  • xf86-video-ati: pre-GCN and GCN 1st gen (1.1)
  • xf86-video-amdgpu: GCN 2nd, 3rd, 4th and 5th gen (including Vega)

(Luca Giambonini) #3

Thank you for the input, was definitively wrong. I updated the first post.


(system) #4

This topic was automatically closed 170 days after the last reply. New replies are no longer allowed.